Package org.springframework.security.access.annotation

# Annotation Interface Secured

@Target({METHOD,TYPE}) @Retention(RUNTIME) @Inherited @Documented public @interface Secured
Java 5 annotation for describing service layer security attributes.

The `Secured` annotation is used to define a list of security configuration attributes for business methods. This annotation can be used as a Java 5 alternative to XML configuration.

For example:

     @Secured({ "ROLE_USER" })
     public void create(Contact contact);

     @Secured({ "ROLE_USER", "ROLE_ADMIN" })
     public void update(Contact contact);

     @Secured({ "ROLE_ADMIN" })
     public void delete(Contact contact);

## Required Element Summary

Required Elements
Modifier and Type
Required Element
Description
`String[]`
`value`
Returns the list of security configuration attributes (e.g. ROLE_USER, ROLE_ADMIN).

## Element Details

### value

String[] value
Returns the list of security configuration attributes (e.g. ROLE_USER, ROLE_ADMIN).

Returns:
  String[] The secure method attributes